<?php

namespace Shm\ShmChat\Exceptions;

class ChatException extends \RuntimeException
{
    public function __construct(
        public readonly string $i18nKey,
        ?string $message = null,
    ) {
        parent::__construct($message ?? $i18nKey);
    }
}
